std::type_index Struct Reference
Utilities

## Public Member Functions

| type_index (const type_info &__rhs) noexcept
size_t | hash_code () const noexcept
const char * | name () const noexcept
bool | operator!= (const type_index &__rhs) const noexcept
bool | operator< (const type_index &__rhs) const noexcept
bool | operator<= (const type_index &__rhs) const noexcept
bool | operator== (const type_index &__rhs) const noexcept
bool | operator> (const type_index &__rhs) const noexcept
bool | operator>= (const type_index &__rhs) const noexcept

## Detailed Description

Class type_index

The class type_index provides a simple wrapper for type_info which can be used as an index type in associative containers (23.6) and in unordered associative containers (23.7).

Definition at line 52 of file typeindex.

The documentation for this struct was generated from the following file:

- typeindex